#
# spec file for package inf2htm (Version 1.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         inf2htm
Copyright:    1993-95 Karl Guggisberg
Group:        Utilities/Text
Requires:     http_daemon
Autoreqprov:  on
Version:      1.1
Release:      394
Summary:      info2html, converts INFO pages to HTML pages
Source: info2html1.1.tar.gz
Source1: arrows.tar.gz
Patch: info2html1.1.dif

%description
This packages contains the CGI script info2html which creates
html pages out of info documents.
info2html generates by calling within a WWW browser a
html page of the file
/usr/share/info/dir
You can easy click on the info references and nodes to
get the on the fly generated html pages.

Authors:
--------
    Karl Guggisberg <guggis@iam.unibe.ch>

SuSE series: doc

%prep
%setup -n info2html1.1 -a 1
%patch

%build
    make -f Makefile.Linux compile

%install
    make -f Makefile.Linux install

%files
%dir /usr/local/httpd
%dir /usr/local/httpd/cgi-bin
%dir /usr/local/httpd/htdocs
%dir /usr/local/httpd/htdocs/gif
/usr/local/httpd/cgi-bin/info2html
%config /usr/local/httpd/cgi-bin/info2html.conf
/usr/local/httpd/htdocs/gif/l_arrow.gif
/usr/local/httpd/htdocs/gif/r_arrow.gif
/usr/local/httpd/htdocs/gif/r_hand.gif
/usr/local/httpd/htdocs/gif/u_arrow.gif

%changelog -n inf2htm
* Thu Dec 14 2000 - werner@suse.de
- Group tag
* Mon Jun 26 2000 - ro@suse.de
- adapted to susehelp color layout
* Tue Feb 22 2000 - werner@suse.de
- Make spaces (equal to %%20i) between base info file and node name
  working (e.g. a2ps)
* Tue Feb 22 2000 - ro@suse.de
- added /usr/share/xemacs/info
* Sat Feb 12 2000 - ro@suse.de
- added /usr/share/info
* Mon Sep 20 1999 - ro@suse.de
- added requires http_daemon
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Dec 03 1998 - werner@suse.de
- Do not allow relative paths
- Do not allow other directories than those of the info path
* Wed May 28 1997 - werner@suse.de
  moved /httpd to /usr/local/httpd
* Fri Mar 21 1997 - werner@suse.de
- New package info2html version 1.1
  made some extensions to read tags too.
